summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkira TAGOH <akira@tagoh.org>2016-07-08 11:14:34 +0900
committerAkira TAGOH <akira@tagoh.org>2016-07-08 11:14:34 +0900
commit416cdd9d494fb040cc4f492a9c6ba23ca52ae250 (patch)
tree74f5fad3e7e344e8d3e511280247ec7bd780ad14
parent5d74251986ee958cbc457d1f6b3d24d524051273 (diff)
downloadfontconfig-416cdd9d494fb040cc4f492a9c6ba23ca52ae250.tar.gz
Check python installed in autogen.sh
python is required to build fontconfig from the scratch
-rwxr-xr-xautogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 40751ee..07c59a4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -47,6 +47,7 @@ AUTOMAKE=${AUTOMAKE-automake}
AUTOHEADER=${AUTOHEADER-autoheader}
AUTOCONF=${AUTOCONF-autoconf}
GPERF=${GPERF-gperf}
+PYTHON=${PYTHON-python}
LIBTOOLIZE_FLAGS="--copy --force"
DIE=0
@@ -59,6 +60,14 @@ DIE=0
DIE=1
}
+($PYTHON --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have python installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution."
+ echo "or get the source tarball at https://www.python.org/downloads/source/"
+ DIE=1
+}
+
have_libtool=false
if $LIBTOOLIZE --version < /dev/null > /dev/null 2>&1 ; then
libtool_version=`$LIBTOOLIZE --version | sed 's/^.* \([0-9][.][0-9.]*\)[^ ]*$/\1/'`